Si avvisano tutti gli utenti che a causa dell'aggiornamento della board alcune password devono essere resettate.
In caso di problemi di login si prega di resettare la propria password.

problema aggiornamenti

Sezione dedicata alle problematiche sull'uso dei tool di installazione e gestione di pacchetti, in una distribuzione Debian-based.
gelo

problema aggiornamenti

Messaggio da gelo »

dando il comando per aggiornare istallare alla fine mi esce questo messaggio... come mai?

Lettura della lista dei pacchetti in corso... Errore!
E: Dynamic MMap ran out of room
E: Errore nell'analisi di libdb4.2 (NewVersion1)
E: Problem with MergeList /var/lib/dpkg/status
E: La lista dei pacchetti o il file di status non possono essere letti o aperti
Avatar utente
MaXeR
Hero Member
Hero Member
Messaggi: 3211
Iscritto il: 22/12/2004, 17:01
Località: Garda - VR
Contatta:

Re: problema aggiornamenti

Messaggio da MaXeR »

ehm...
puoi riportare esattamente il comando?
http://leevee.it - Leevee Soluzioni Informatiche
gelo

Re: problema aggiornamenti

Messaggio da gelo »

MaXeR ha scritto:
ehm...
puoi riportare esattamente il comando?



apt-get install gaim
Fart
Hero Member
Hero Member
Messaggi: 984
Iscritto il: 22/06/2005, 7:52

Re: problema aggiornamenti

Messaggio da Fart »

heemm.. bastava cercare su google... la risposta è una cosa del genere che certamente risolve il problema:

[quote]
E: Dynamic MMap ran out of room

You may find that you receive an error like the following:

E: Dynamic MMap ran out of room
E: Error occured while processing sqlrelay-sqlite (NewPackage)
E: Problem with MergeList /var/lib/apt/lists/ftp.us.debian.org_debian_dists_woody_contrib_
binary-i386_Packages
E: The package lists or status file could not be parsed or opened.

This is caused because apt's cache is too small to handle all of the packages that are included with stable, testing, and unstable. This is
also very easy to fix. Add the following line to /etc/apt/apt.conf

APT::Cache-Limit "8388608";
[\quote]
ok? :ciauz:
Out beyond the New Frontiers..
gelo

Re: problema aggiornamenti

Messaggio da gelo »

fart ha scritto:
heemm.. bastava cercare su google... la risposta è una cosa del genere che certamente risolve il problema:

E: Dynamic MMap ran out of room

You may find that you receive an error like the following:

E: Dynamic MMap ran out of room
E: Error occured while processing sqlrelay-sqlite (NewPackage)
E: Problem with MergeList /var/lib/apt/lists/ftp.us.debian.org_debian_dists_woody_contrib_
binary-i386_Packages
E: The package lists or status file could not be parsed or opened.

This is caused because apt's cache is too small to handle all of the packages that are included with stable, testing, and unstable. This is
also very easy to fix. Add the following line to /etc/apt/apt.conf

APT::Cache-Limit "8388608";
[\quote]
ok? :ciauz:




mah....veramente non è che ho capito molto dove sta il problema me lo potresti spiegare in parole povere cosa devo fare?
Fart
Hero Member
Hero Member
Messaggi: 984
Iscritto il: 22/06/2005, 7:52

Re: problema aggiornamenti

Messaggio da Fart »

non mi sembra difficile da capire...
c'è scritto:

Add the following line to /etc/apt/apt.conf

APT::Cache-Limit "8388608"


vuol dire:

apri il file /etc/apt/apt.conf

e aggiungici la riga APT: bla bla
Out beyond the New Frontiers..
gelo

Re: problema aggiornamenti

Messaggio da gelo »

ok ma devo aggiungerla o cambiare il valore? perchè a cambiare il valore non me lo lascia fare
gelo

Re: problema aggiornamenti

Messaggio da gelo »

Impossibile salvare il documento, perché non è stato possibile scrivere su file:/etc/apt/apt.conf.
Controlla di avere accesso in scrittura al file e che lo spazio su disco sia sufficiente.
Fart
Hero Member
Hero Member
Messaggi: 984
Iscritto il: 22/06/2005, 7:52

Re: problema aggiornamenti

Messaggio da Fart »

no devi aggiungerla
Out beyond the New Frontiers..
gelo

Re: problema aggiornamenti

Messaggio da gelo »

mi da quella scritta
Fart
Hero Member
Hero Member
Messaggi: 984
Iscritto il: 22/06/2005, 7:52

Re: problema aggiornamenti

Messaggio da Fart »

ma lo hai fatto da root?
Out beyond the New Frontiers..
gelo

Re: problema aggiornamenti

Messaggio da gelo »

spetta un attimo.... e scusami ma sono un po' imbranato
intendi da terminale? sai che non sò come entrare nelle cartelle da terminale se devo farlo da li....
Fart
Hero Member
Hero Member
Messaggi: 984
Iscritto il: 22/06/2005, 7:52

Re: problema aggiornamenti

Messaggio da Fart »

gelo ha scritto:
spetta un attimo.... e scusami ma sono un po' imbranato
intendi da terminale? sai che non sò come entrare nelle cartelle da terminale se devo farlo da li....


hei...questo è piuttosto grave...
comunque:
apri il terminale
digita "su"
metti la password di root
a questo punto:

#cd /etc/apt
#emacs apt.conf

aggiungi la riga, salva il file e chiudilo.
è tutto.
Out beyond the New Frontiers..
gelo

Re: problema aggiornamenti

Messaggio da gelo »

questo è quello che mi esce...

root@gelinux:/etc/apt# emacs apt.conf
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

emacs: Cannot connect to X server :0.0.
Check the DISPLAY environment variable or use `-d'.
Also use the `xhost' program to verify that it is set to permit
connections from your machine.
Fart
Hero Member
Hero Member
Messaggi: 984
Iscritto il: 22/06/2005, 7:52

Re: problema aggiornamenti

Messaggio da Fart »

ok allora dopo aver aperto il terminale, prima di diventare root digita:
xhost +
Out beyond the New Frontiers..
Rispondi